curl
curl --fail-with-body --silent --show-error \
--header "Authorization: Bearer ${MINSTROEM_API_TOKEN}" \
"https://api.minstroem.app/consumer/v1/me/addresses"{
"data": [
{
"id": "2b4bf7a8-b5d0-45ab-8d42-3a5688bba167",
"label": "Example home",
"formattedAddress": "Example Road 12, 1000 Example City",
"region": "DK2",
"timeZone": "Europe/Copenhagen",
"gridOperatorName": null,
"supplierName": null,
"capabilities": {
"consumption": true,
"solarExport": true,
"consumptionCosts": true,
"solarExportRevenue": true,
"prices": true,
"forecastPrices": true
}
}
]
}
API reference
List addresses
List your addresses and the data available for each.
curl
curl --fail-with-body --silent --show-error \
--header "Authorization: Bearer ${MINSTROEM_API_TOKEN}" \
"https://api.minstroem.app/consumer/v1/me/addresses"{
"data": [
{
"id": "2b4bf7a8-b5d0-45ab-8d42-3a5688bba167",
"label": "Example home",
"formattedAddress": "Example Road 12, 1000 Example City",
"region": "DK2",
"timeZone": "Europe/Copenhagen",
"gridOperatorName": null,
"supplierName": null,
"capabilities": {
"consumption": true,
"solarExport": true,
"consumptionCosts": true,
"solarExportRevenue": true,
"prices": true,
"forecastPrices": true
}
}
]
}
GET /consumer/v1/me/addresses